Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List promotional credits

This endpoint lists the promotional credits set for a customer

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/promotional_credits

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Unique reference ID provided for promotional credits. Supported operators : is, is_not, starts_with

Example → id[is] = "1bkfc8dw2o"

Supported operators: is, is_not, starts_with
Example 1bkfc8dw2o
created_at[<operator>]

optional, timestamp(UTC) in seconds filter

Timestamp indicating when this promotional credit resource is created. Supported operators : after, before, on, between

Example → created_at[on] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328
type[<operator>]

optional, enumerated string filter

Type of promotional credits. Possible values are : increment, decrement.

Supported operators : is, is_not, in, not_in

Example → type[is] = "increment"

Supported operators: is, is_not, in, not_in
Example increment
customer_id[<operator>]

optional, string filter

Identifier of the customer. Supported operators : is, is_not, starts_with

Example → customer_id[is] = "4gkYnd21ouvW"

Supported operators: is, is_not, starts_with
Example 4gkYnd21ouvW

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Promotional credit object
Resource object representing promotional_credit